Loading...
Searching...
No Matches
L4drivers::Mmio_register_block< MAX_BITS > Struct Template Reference

An MMIO block with up to 64-bit register access (32-bit default) and little endian byte order. More...

`#include <hw_mmio_register_block>`

Inheritance diagram for L4drivers::Mmio_register_block< MAX_BITS >:
Collaboration diagram for L4drivers::Mmio_register_block< MAX_BITS >:

## Detailed Description

template<unsigned MAX_BITS = 32>
struct L4drivers::Mmio_register_block< MAX_BITS >

An MMIO block with up to 64-bit register access (32-bit default) and little endian byte order.

Definition at line 43 of file hw_mmio_register_block.

The documentation for this struct was generated from the following file:

- pkg/drivers-frst/include/hw_mmio_register_block